Subject: bug#583: Use XDG basedir spec for configuration files?

From: Glenn Morris <[email-masked]>
Date: Wed, 28 Aug 2019 12:50:46 -0400

Eli Zaretskii wrote:

>> It's great to finally see some progress in this area, but IIUC this is
>> still not really following the XDG spec. For example, I think a proper
>> solution would see user elpa packages stored undo XDG_DATA_HOME, etc.
>
> Yes, because we don't set user-emacs-directory from XDG_DATA_HOME.  We
> only load the init files from there.

I'm not sure I've made my point.
With a proper following of the XDG spec, the concept of (a single)
"user-emacs-directory" would no longer be present. Obviously this
requires more radical changes.